
Name:       flirc
Summary:    LIRC is a USB IR receiver which is programmable with the FLIRC software.
Version: 	3.25.3
Release:    %mkrel 2
Group:      Sound
License:    GPLv2
URL:        System/Configuration
Source0:    Flirc-%{version}.tar.xz
Source1:    99-flirc.rules
Requires:   lib64hidapi0

%description
LIRC is a USB IR receiver which is programmable with the FLIRC software.

%files
%{_bindir}/Flirc
%{_bindir}/flirc
%{_bindir}/flirc_util
%{_sysconfdir}/udev/rules.d/99-flirc.rules
#------------------------------------------------------------------------------


%prep
%setup -qn Flirc-%version

%build


%install
rm -rf %buildroot

install -Dm 0755 Flirc %buildroot/%{_bindir}/Flirc
ln -fs Flirc %buildroot/%{_bindir}/flirc
install -m 0755 flirc_util %buildroot/%{_bindir}/flirc_util

install -Dm 0755 %SOURCE1 %buildroot/%{_sysconfdir}/udev/rules.d/99-flirc.rules

%changelog
* Mon May 01 2023 tex - 3.25.3-2pclos2023
- add udev rule

* Sat Mar 06 2021 tex - 3.25.3-1pclos2021
- new version

* Fri Jan 25 2019 tex - 3.20.4-1pclos2019
- new version
